Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 4)
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3 ... 36, 37, 38  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
gaelic
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2003
Posts: 119
Location: Vienna, Austria, Europe, World, Solar System, Milky Way, Universe

PostPosted: Fri Jun 26, 2009 6:35 am    Post subject: [kde-testing] and [kde-crazy] KDE4 overlays thread (part 4) Reply with quote

This is the fourth part of the support thread for kde-testing and kde-crazy overlays (part 1, part 2, part 3)


TheDodger wrote:
Version 4.2.95 is out ... i'm still waiting for the sources ...


you have to wait 'til june 30.
_________________
knowledge is power
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5709
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Jun 26, 2009 9:04 am    Post subject: Reply with quote

TheDodger wrote:
kernelOfTruth wrote:
kdebase-data-9999 fails and I have NO clue why:

Quote:
-- Found KDE 4.3 include dir: /usr/include
-- Found KDE 4.3 library dir: /usr/lib64
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
CMake Error at /usr/share/apps/cmake/modules/FindKDE4Internal.cmake:1186 (message):
ERROR: the installed kdelibs version 4.2.95 is too old, at least version
4.3.60 is required


The fail is here!
Please reinstall kdelibs! ;)


thanks TheDodger and loftwyr !

I already re-installed kdelibs several times but no change :(

the "fix" was to shutdown my box, go to sleep and now try to re-install it

that worked out 8O
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5709
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Jun 26, 2009 10:30 am    Post subject: Reply with quote

kdm-9999 is failing for some time now:
Quote:
-- Install configuration: "Gentoo"
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/lib64/kde4/kgreet_classic.so
-- Set runtime path of "/var/tmp/portage/kde-base/kdm-9999/image//usr/lib64/kde4/kgreet_classic.so" to "/usr/lib64:/usr/lib64/qt4"
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/lib64/kde4/kgreet_winbind.so
-- Set runtime path of "/var/tmp/portage/kde-base/kdm-9999/image//usr/lib64/kde4/kgreet_winbind.so" to "/usr/lib64:/usr/lib64/qt4"
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/lib64/kde4/kgreet_generic.so
-- Set runtime path of "/var/tmp/portage/kde-base/kdm-9999/image//usr/lib64/kde4/kgreet_generic.so" to "/usr/lib64:/usr/lib64/qt4"
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/include/kgreeterplugin.h
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/doc/HTML/en/kdm/index.cache.bz2
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/doc/HTML/en/kdm/theme-ref.docbook
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/doc/HTML/en/kdm/kdmrc-ref.docbook
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/doc/HTML/en/kdm/index.docbook
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/doc/kdm/README
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/bin/kdm
-- Set runtime path of "/var/tmp/portage/kde-base/kdm-9999/image//usr/bin/kdm" to "/usr/lib64:/lib64"
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/lib64/kde4/libexec/kdm_greet
-- Set runtime path of "/var/tmp/portage/kde-base/kdm-9999/image//usr/lib64/kde4/libexec/kdm_greet" to "/usr/lib64:/usr/lib64/qt4"
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/lib64/kde4/libexec/kdm_config
-- Set runtime path of "/var/tmp/portage/kde-base/kdm-9999/image//usr/lib64/kde4/libexec/kdm_config" to "/usr/lib64"
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/lib64/kde4/libexec/krootimage
-- Set runtime path of "/var/tmp/portage/kde-base/kdm-9999/image//usr/lib64/kde4/libexec/krootimage" to "/usr/lib64:/usr/lib64/qt4"
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/bin/genkdmconf
-- Set runtime path of "/var/tmp/portage/kde-base/kdm-9999/image//usr/bin/genkdmconf" to "/usr/lib64"
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/bin/kdmctl
-- Set runtime path of "/var/tmp/portage/kde-base/kdm-9999/image//usr/bin/kdmctl" to "/usr/lib64"
running /var/tmp/portage/kde-base/kdm-9999/work/kdm-9999_build/kdm/kfrontend/genkdmconf --in "$DESTDIR/usr/share/config/kdm" --no-in-notice --face-src "/var/tmp/portage/kde-base/kdm-9999/work/kdm-9999/kdm/kfrontend/pics" $GENKDMCONF_FLAGS 2>&1
Cannot create /var/tmp/portage/kde-base/kdm-9999/image//usr/share/config/kdm
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/doc/kdm/greeter.dtd
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/circles/KdmGreeterTheme.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/circles/circles.xml
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/circles/background.svg
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/circles/flower.png
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/circles/help.png
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/circles/options.png
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/circles/screenshot.png
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/oxygen/KdmGreeterTheme.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/oxygen/oxygen.xml
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/oxygen/background.svg
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/oxygen/system.png
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/oxygen/session.png
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/oxygen/oxygen-box.svg
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/oxygen/oxygen.svg
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/oxygen/branding-icon.png
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/themes/oxygen/screenshot.png
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/pics/kdelogo.png
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/pics/shutdown.png
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/pics/users/default1.png
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/pics/users/default2.png
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/pics/users/default3.png
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/pics/users/root1.png
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/wallpapers/default_blue.jpg
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/wallpapers/default_blue.jpg.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/kde.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/kde-safe.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/gnome.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/9wm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/aewm++.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/aewm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/afterstep.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/amaterus.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/amiwm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/asclassic.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/blackbox.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/cde.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/ctwm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/cwwm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/e16.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/enlightenment.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/evilwm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/fluxbox.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/flwm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/fvwm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/fvwm95.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/golem.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/icewm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/ion.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/larswm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/lwm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/matchbox.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/metacity.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/mwm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/olvwm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/olwm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/openbox.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/oroborus.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/phluid.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/pwm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/qvwm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/ratpoison.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/sapphire.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/sawfish.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/twm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/ude.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/vtwm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/w9wm.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/waimea.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/wm2.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/wmaker.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/xfce.desktop
-- Installing: /var/tmp/portage/kde-base/kdm-9999/image/usr/share/apps/kdm/sessions/xfce4.desktop
sed: can't read /var/tmp/portage/kde-base/kdm-9999/image///usr/share/config/kdm/kdmrc: No such file or directory

_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
Cyberwizzard
Apprentice
Apprentice


Joined: 02 Apr 2004
Posts: 244
Location: Netherlands

PostPosted: Fri Jun 26, 2009 11:12 am    Post subject: Reply with quote

What is happening to the kdeprefix? Suddenly I have to reinstall half of KDE to install one small package? Besides, I run 4.2, 4.3 and live next to eachother, removing the kdeprefix flag will merge everything, right? So how do you run several versions of kde then...
_________________
More ramblings of a linux junky...
Back to top
View user's profile Send private message
Cyberwizzard
Apprentice
Apprentice


Joined: 02 Apr 2004
Posts: 244
Location: Netherlands

PostPosted: Fri Jun 26, 2009 11:41 am    Post subject: Reply with quote

It gets better, some idiot masked it.... read this
_________________
More ramblings of a linux junky...
Back to top
View user's profile Send private message
widremann
Veteran
Veteran


Joined: 14 Mar 2005
Posts: 1314

PostPosted: Sat Jun 27, 2009 5:17 am    Post subject: Reply with quote

I'm still getting this block error:
Code:

 ('ebuild', '/', 'kde-base/oxygen-icons-9999', 'merge') pulled in by
    >=kde-base/oxygen-icons-9999:live[-kdeprefix] required by ('ebuild', '/', 'kde-base/kdebase-data-9999', 'merge')

  ('installed', '/', 'kde-base/kdebase-data-3.5.10', 'nomerge') pulled in by
    >=kde-base/kdebase-data-3.5.10:3.5 required by ('installed', '/', 'kde-base/kicker-3.5.10-r1', 'nomerge')
    >=kde-base/kdebase-data-3.5.10:3.5 required by ('installed', '/', 'kde-base/kpat-3.5.10', 'nomerge')
    >=kde-base/kdebase-data-3.5.10:3.5 required by ('installed', '/', 'kde-base/kcontrol-3.5.10', 'nomerge')
    (and 1 more)

I actually completely uninstalled @kde-live (as well as any dangling kde 4.2 garbage) and I've tried with USE=kdeprefix and USE=-kdeprefix and to no avail. I definitely want to keep KDE 3.5 on my system.

The block messages are honestly hard to understand, so I'm not entirely sure what to do here.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5709
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sat Jun 27, 2009 9:14 am    Post subject: Reply with quote

widremann wrote:
I'm still getting this block error:
Code:

 ('ebuild', '/', 'kde-base/oxygen-icons-9999', 'merge') pulled in by
    >=kde-base/oxygen-icons-9999:live[-kdeprefix] required by ('ebuild', '/', 'kde-base/kdebase-data-9999', 'merge')

  ('installed', '/', 'kde-base/kdebase-data-3.5.10', 'nomerge') pulled in by
    >=kde-base/kdebase-data-3.5.10:3.5 required by ('installed', '/', 'kde-base/kicker-3.5.10-r1', 'nomerge')
    >=kde-base/kdebase-data-3.5.10:3.5 required by ('installed', '/', 'kde-base/kpat-3.5.10', 'nomerge')
    >=kde-base/kdebase-data-3.5.10:3.5 required by ('installed', '/', 'kde-base/kcontrol-3.5.10', 'nomerge')
    (and 1 more)

I actually completely uninstalled @kde-live (as well as any dangling kde 4.2 garbage) and I've tried with USE=kdeprefix and USE=-kdeprefix and to no avail. I definitely want to keep KDE 3.5 on my system.

The block messages are honestly hard to understand, so I'm not entirely sure what to do here.


it's actually not really THAT hard ;)

just edit the oxygen-icons-9999 ebuild

that the !<kde-base/kdebase-data-4.2.67[-kdeprefix]

line is removed and then digesting the ebuild (that's the fastest and easiest solution which needs to be redone in the future when re-syncing the overlay)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
tampakrap
Developer
Developer


Joined: 27 Nov 2007
Posts: 71
Location: Prague, Czech Republic

PostPosted: Sat Jun 27, 2009 10:52 am    Post subject: Reply with quote

I've totally updated the Gentoo KDE Guide and i'm writing a Qt Guide as well
Back to top
View user's profile Send private message
widremann
Veteran
Veteran


Joined: 14 Mar 2005
Posts: 1314

PostPosted: Sat Jun 27, 2009 3:17 pm    Post subject: Reply with quote

kernelOfTruth wrote:
it's actually not really THAT hard ;)

just edit the oxygen-icons-9999 ebuild

that the !<kde-base/kdebase-data-4.2.67[-kdeprefix]

line is removed and then digesting the ebuild (that's the fastest and easiest solution which needs to be redone in the future when re-syncing the overlay)

I got it fixed. It's still annoying that I have to edit those just to be able to have KDE 3.5 installed. Oh well.

I had to fix a few other ebuilds as well.
Back to top
View user's profile Send private message
marcus84
Tux's lil' helper
Tux's lil' helper


Joined: 23 Apr 2008
Posts: 87

PostPosted: Sun Jun 28, 2009 10:59 am    Post subject: Reply with quote

I get this:

Code:

-- checking for module 'polkit>=0.8'                                                               
--   package 'polkit>=0.8' not found                                                               
CMake Error at cmake/modules/FindPkgConfig.cmake:270 (message):                                   
  A required package was not found                                                                 
Call Stack (most recent call first):                                                               
  cmake/modules/FindPkgConfig.cmake:322 (_pkg_check_modules_internal)                             
  CMakeLists.txt:17 (pkg_check_modules)                                                           


-- checking for module 'polkit-dbus>=0.8'
--   package 'polkit-dbus>=0.8' not found
CMake Error at cmake/modules/FindPkgConfig.cmake:270 (message):
  A required package was not found                             
Call Stack (most recent call first):                           
  cmake/modules/FindPkgConfig.cmake:322 (_pkg_check_modules_internal)
  CMakeLists.txt:18 (pkg_check_modules)                             


-- checking for module 'polkit-grant>=0.8'
--   package 'polkit-grant>=0.8' not found
CMake Error at cmake/modules/FindPkgConfig.cmake:270 (message):
  A required package was not found                             
Call Stack (most recent call first):                           
  cmake/modules/FindPkgConfig.cmake:322 (_pkg_check_modules_internal)
  CMakeLists.txt:19 (pkg_check_modules)                             


--   ===========
-- <<< Gentoo configuration >>>
Build type: Gentoo             
Install path: /usr             

-- Configuring incomplete, errors occurred!
 *                                         
 * ERROR: sys-auth/policykit-qt-0.9.2 failed.
 * Call stack:                               
 *               ebuild.sh, line   49:  Called src_configure
 *             environment, line 2912:  Called cmake-utils_src_configure
 *             environment, line  831:  Called die                     
 * The specific snippet of code:                                       
 *       cmake ${cmakeargs} "${CMAKE_USE_DIR}" || die "cmake failed";   
 *  The die message:                                                   
 *   cmake failed                                                       
 *                                                                     
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/home/tmp_portage/portage/sys-auth/policykit-qt-0.9.2/temp/build.log'.                                                                                         
 * The ebuild environment file is located at '/home/tmp_portage/portage/sys-auth/policykit-qt-0.9.2/temp/environment'.                                                                               
 * This ebuild is from an overlay named 'kde': '/usr/local/portage/layman/kde-testing/'           
 *                                                                                                 

>>> Failed to emerge sys-auth/policykit-qt-0.9.2, Log file:



trying to compile policykit-qt-0.9.2. Am I missing something?
Back to top
View user's profile Send private message
AmonAmarth
l33t
l33t


Joined: 03 Mar 2005
Posts: 713

PostPosted: Sun Jun 28, 2009 3:04 pm    Post subject: Reply with quote

Cyberwizzard wrote:
It gets better, some idiot masked it.... read this


If you need/want kdeprefix (like me), write in the this file:
Code:
/etc/portage/profile/use.mask

this entry:
Code:
-kdeprefix


(confusing syntax, double negotiation)
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Sun Jun 28, 2009 5:05 pm    Post subject: Re: [kde-testing] and [kde-crazy] KDE4 overlays thread (part Reply with quote

gaelic_cargal wrote:
This is the fourth part of the support thread for kde-testing and kde-crazy overlays (part 1, part 2, part 3)


TheDodger wrote:
Version 4.2.95 is out ... i'm still waiting for the sources ...


you have to wait 'til june 30.


:)
No, i'm switched to kde-4.3.9999 last day.
Back to top
View user's profile Send private message
marcus84
Tux's lil' helper
Tux's lil' helper


Joined: 23 Apr 2008
Posts: 87

PostPosted: Mon Jun 29, 2009 6:41 am    Post subject: Reply with quote

Hi,

I get this block trying to update:
Code:

Calculating dependencies... done!
[ebuild     U ] sys-libs/glibc-2.9_p20081201-r2 [2.8_p20080602-r1] USE="(multilib) nls -debug -gd -glibc-omitfp (-hardened) -profile (-selinux) -vanilla" 16,621 kB [0]                               
[ebuild   R   ] x11-libs/qt-gui-4.9999  USE="accessibility cups dbus glib gtk%* mng qt3support tiff xinerama -debug -nas -nis -pch -raster (-gtkstyle%*)" 0 kB [1]                                   
[ebuild   R   ] x11-libs/qt-qt3support-4.9999  USE="accessibility kde%* -debug -pch -phonon" 0 kB [1]                                                                                                 
[ebuild   R   ] x11-libs/qt-webkit-4.9999  USE="kde%* -debug -pch" 0 kB [1]                       
[uninstall    ] x11-libs/qt-assistant-4.4.2  USE="webkit -debug -pch"  [0]                         
[blocks b     ] <x11-libs/qt-assistant-4.9999 ("<x11-libs/qt-assistant-4.9999" is blocking x11-libs/qt-qt3support-4.9999, x11-libs/qt-gui-4.9999, x11-libs/qt-webkit-4.9999)                         
[ebuild     U ] kde-base/policykit-kde-4.3.9999 [4.2.91] USE="(-aqua) -debug (-kdeprefix*)" 0 kB [2]
[ebuild     U ] kde-base/kde-l10n-4.3.9999 [4.2.91] USE="(-aqua) (-kdeprefix*) (-handbook%)" LINGUAS="ca es -af -ar -be -bg -bn -bn_IN -br -cs -csb -cy -da -de -el -en_GB -eo -et -eu -fa -fi -fr -fy -ga -gl -gu -he -hi -hr -hsb -hu -hy -is -it -ja -ka -kk -km -kn -ko -ku -lb -lt -lv -mk -ml -ms -mt -nb -nds -ne -nl -nn -nso -oc -pa -pl -pt -pt_BR -ro -ru -rw -se -sk -sl -sr -sv -ta -te -tg -th -tr -uk -uz -vi -wa -xh -zh_CN -zh_HK -zh_TW" 0 kB [2]
[ebuild  N    ] kde-base/kdepim-runtime-4.2.95  USE="semantic-desktop (-aqua) -debug (-kdeprefix)" 725 kB [2]
[blocks B     ] kde-base/akonadi[-kdeprefix] ("kde-base/akonadi[-kdeprefix]" is blocking kde-base/kdepim-runtime-4.2.95)

Total: 7 packages (3 upgrades, 1 new, 3 reinstalls, 1 uninstall), Size of downloads: 17,346 kB
Conflict: 2 blocks (1 unsatisfied)
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/local/portage/layman/qting-edge
 [2] /usr/local/portage/layman/kde-testing

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'kde-base/akonadi-4.3.9999', 'nomerge') pulled in by
    >=kde-base/akonadi-4.3.9999:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kdepim-kresources-4.3.9999', 'nomerge')
    >=kde-base/akonadi-4.3.9999:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kcontactmanager-4.3.9999', 'nomerge')

  ('ebuild', '/', 'kde-base/kdepim-runtime-4.2.95', 'merge') pulled in by
    kde-base/kdepim-runtime:4.3 required by @kde-4.3


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked



Any idea?
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 2767
Location: Gainesville, Florida

PostPosted: Mon Jun 29, 2009 1:23 pm    Post subject: Reply with quote

Question for devs/maintainers:

If we are currently running kde-svn and also using qt 9999's, would it be OK to instead go with the new qt-4.5.2 for a while with kde-svn? I'm assuming 4.5.2 would have most of the svn stuff included that worked, as least close up to the point when 4.5.2 was released.
_________________
Main box- Gigabyte GIGABYTE GA-990FXA-UD3 AM3+ rev.-4.0
Amd FX 8320, 3.5 GHz, 16GB GSkill DDR3 1866mhz
Samsung SATA 1000GB, Radeon HD 6570 2GB DDR3
Gentoo ~x86, ~amd64, glibc-2.19, gcc-4.9.0, kernel 3.16.1-gentoo (USE=experimental "native")
Back to top
View user's profile Send private message
tampakrap
Developer
Developer


Joined: 27 Nov 2007
Posts: 71
Location: Prague, Czech Republic

PostPosted: Mon Jun 29, 2009 8:40 pm    Post subject: Reply with quote

yes, kde live works with qt-4.5.2 as well without problems.
Back to top
View user's profile Send private message
SpectreDragon
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2008
Posts: 92
Location: Germany

PostPosted: Mon Jun 29, 2009 9:50 pm    Post subject: Reply with quote

Today I had a strange problem. My fstab got overwritten with some binary file. Opening it with a hex-editor shows something Plasma related.. 8O

Code:
00000000  00 00 00 0b 00 00 00 3c  00 58 00 2d 00 50 00 6c  |.......<.X.-.P.l|
00000010  00 61 00 73 00 6d 00 61  00 2d 00 43 00 6f 00 6e  |.a.s.m.a.-.C.o.n|
00000020  00 74 00 61 00 69 00 6e  00 6d 00 65 00 6e 00 74  |.t.a.i.n.m.e.n.t|
00000030  00 43 00 61 00 74 00 65  00 67 00 6f 00 72 00 69  |.C.a.t.e.g.o.r.i|
00000040  00 65 00 73 00 00 00 0b  00 00 00 28 00 58 00 2d  |.e.s.......(.X.-|
00000050  00 50 00 6c 00 61 00 73  00 6d 00 61 00 2d 00 44  |.P.l.a.s.m.a.-.D|
00000060  00 65 00 66 00 61 00 75  00 6c 00 74 00 53 00 69  |.e.f.a.u.l.t.S.i|
00000070  00 7a 00 65 00 00 00 15  00 00 00 2c 00 58 00 2d  |.z.e.......,.X.-|
00000080  00 50 00 6c 00 61 00 73  00 6d 00 61 00 2d 00 44  |.P.l.a.s.m.a.-.D|
00000090  00 72 00 6f 00 70 00 4d  00 69 00 6d 00 65 00 54  |.r.o.p.M.i.m.e.T|
000000a0  00 79 00 70 00 65 00 73  00 00 00 0b 00 00 00 28  |.y.p.e.s.......(|
000000b0  00 58 00 2d 00 50 00 6c  00 61 00 73 00 6d 00 61  |.X.-.P.l.a.s.m.a|
000000c0  00 2d 00 46 00 6f 00 72  00 6d 00 46 00 61 00 63  |.-.F.o.r.m.F.a.c|
000000d0  00 74 00 6f 00 72 00 73  00 00 00 0b 00 00 00 34  |.t.o.r.s.......4|
000000e0  00 58 00 2d 00 50 00 6c  00 61 00 73 00 6d 00 61  |.X.-.P.l.a.s.m.a|
000000f0  00 2d 00 50 00 61 00 63  00 6b 00 61 00 67 00 65  |.-.P.a.c.k.a.g.e|
00000100  00 46 00 69 00 6c 00 65  00 46 00 69 00 6c 00 74  |.F.i.l.e.F.i.l.t|
00000110  00 65 00 72 00 00 00 0a  00 00 00 3a 00 58 00 2d  |.e.r.......:.X.-|
00000120  00 50 00 6c 00 61 00 73  00 6d 00 61 00 2d 00 50  |.P.l.a.s.m.a.-.P|
00000130  00 61 00 63 00 6b 00 61  00 67 00 65 00 46 00 69  |.a.c.k.a.g.e.F.i|
00000140  00 6c 00 65 00 4d 00 69  00 6d 00 65 00 74 00 79  |.l.e.M.i.m.e.t.y|
00000150  00 70 00 65 00 73 00 00  00 0b 00 00 00 2c 00 58  |.p.e.s.......,.X|
00000160  00 2d 00 50 00 6c 00 61  00 73 00 6d 00 61 00 2d  |.-.P.l.a.s.m.a.-|
...


Anyone here who knows how this could have happened :? ?

btw. I am using kde-live ebuilds.
Back to top
View user's profile Send private message
aTan
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jan 2007
Posts: 134
Location: Czech Republic (Ukraine)

PostPosted: Tue Jun 30, 2009 3:43 pm    Post subject: Reply with quote

hi. how could i upgrade from 4.2 to 4.3 without kdeprefix? it won't upgrade but just shows blocks.
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Tue Jun 30, 2009 3:46 pm    Post subject: Reply with quote

Wasn't 4.2.95 supposed to be released today? Any news on the mailing lists regarding it?
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
Tom_
Guru
Guru


Joined: 20 May 2004
Posts: 340
Location: France

PostPosted: Wed Jul 01, 2009 10:15 am    Post subject: Reply with quote

Hi,
Why is x11-libs/qt-qt3support:4 a common dependency for every kde4 ebuilds ? I would have understood it for kde3 ebuilds but actually not for kde4 ? :roll:
Thank you in advance ;)
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5388
Location: Langen (Hessen), Germany

PostPosted: Wed Jul 01, 2009 10:22 am    Post subject: Reply with quote

rahulthewall wrote:
Wasn't 4.2.95 supposed to be released today? Any news on the mailing lists regarding it?


Now it is available on ftp.kde.org
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2467
Location: Austria

PostPosted: Wed Jul 01, 2009 11:25 am    Post subject: Reply with quote

Tom_ wrote:
Why is x11-libs/qt-qt3support:4 a common dependency for every kde4 ebuilds ? I would have understood it for kde3 ebuilds but actually not for kde4 ? :roll:

qt3support doesn't make qt4 compatible for qt3 apps. It exists for easier porting from former qt3 applications to qt4.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic


Last edited by genstorm on Wed Jul 01, 2009 11:26 am; edited 1 time in total
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Wed Jul 01, 2009 11:26 am    Post subject: Reply with quote

Finswimmer wrote:
rahulthewall wrote:
Wasn't 4.2.95 supposed to be released today? Any news on the mailing lists regarding it?


Now it is available on ftp.kde.org


Already compiling it for an hour now. :)

Cheers
Rahul
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
Cyberwizzard
Apprentice
Apprentice


Joined: 02 Apr 2004
Posts: 244
Location: Netherlands

PostPosted: Wed Jul 01, 2009 12:25 pm    Post subject: Reply with quote

I had a lot of blocks on QT 4.5.1 packages and an error telling me not to use the full Qt package (which I don't use)... After manually upgrading all QT related packages to 4.5.2, KDE 4.3 RC 1 is now compiling :)
_________________
More ramblings of a linux junky...
Back to top
View user's profile Send private message
KD-120RD
Tux's lil' helper
Tux's lil' helper


Joined: 07 Mar 2004
Posts: 149
Location: Hamburg

PostPosted: Wed Jul 01, 2009 1:02 pm    Post subject: Reply with quote

Hi I have some trouble with PyQt:
PyQt4-4.5 needs sip-4.8
PyQt4-4.4 needs sip4.7

Problem: sip is not slotted :(

I have succsessfully installed kde-4.2.91, but now I am getting this:
Code:
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:               

dev-python/sip:0

  ('installed', '/', 'dev-python/sip-4.8', 'nomerge') pulled in by
    >=dev-python/sip-4.8 required by ('installed', '/', 'dev-python/PyQt4-4.5', 'nomerge')
    (and 3 more)                                                                         

  ('ebuild', '/', 'dev-python/sip-4.7.9', 'merge') pulled in by
    ~dev-python/sip-4.7.9 required by ('ebuild', '/', 'dev-python/PyQt4-4.4.4-r2', 'merge')
    (and 3 more)                                                                           

dev-python/PyQt4:0

  ('installed', '/', 'dev-python/PyQt4-4.5', 'nomerge') pulled in by
    >=dev-python/PyQt4-4.5[dbus,sql,svg,webkit,X] required by ('ebuild', '/', 'kde-base/pykde4-4.2.95', 'merge')
    (and 6 more)                                                                                               

  ('ebuild', '/', 'dev-python/PyQt4-4.4.4-r2', 'merge') pulled in by
    >=dev-python/PyQt4-4.4.4-r1 required by ('ebuild', '/', 'kde-base/marble-4.2.95', 'merge')
    dev-python/PyQt4 required by @world                                                       
    >=dev-python/PyQt4-4.4.0 required by ('ebuild', '/', 'kde-base/plasma-workspace-4.2.95', 'merge')
    (and 3 more)                                                                                     

  Explanation:

    New USE for 'dev-python/PyQt4:0' are incorrectly set. In order to
    solve this, adjust USE to satisfy '>=dev-                       
    python/PyQt4-4.5[dbus,sql,svg,webkit,X]'.


PyQt4-4.5 has these flags set!
my /etc/portage/package.use
Code:
KDE3
<x11-libs/qt-4.0 sqlite

#KDE4
>=dev-python/PyQt4-4.5 dbus sql svg webkit X
>=x11-libs/qt-gui-4.4.0:4 mng
sys-auth/pambase consolekit
>=x11-libs/qt-sql-4.5.0:4 mysql
  >=dev-db/mysql-5.0.76-r1 embedded -minimal

kde-base/kdebase-kioslaves samba
kde-base/kopete history oscar

#GTK
app-text/poppler-bindings gtk
www-plugins/gnash nsplugin gtk
net-analyzer/wireshark gtk
net-ftp/gftp gtk

#Media
media-video/vlc X a52 aac ogg flac oggvorbis matroska svga stream vlm cdio alsa dts dvd ffmpeg mp3 mad mpeg win32codecs ncurses opengl sdl skins truetype wxwindows xv nsplugin
media-video/mplayer libcaca
media-libs/xine-lib video_cards_nvidia


x11-libs/cairo X pdf
sys-libs/glibc userlocales
x11-libs/wxGTK unicode X
dev-lang/python sqlite
app-portage/layman test
  dev-util/subversion -apache -apache2 -berkdb -perl -python -zlib minimal
app-office/openoffice -eds
sys-block/gparted ntfs


Any clues?
_________________
(\ _/)
(O.o)
(>< ) This is Bunny. Copy Bunny into your signature to help him on his way to world domination.
Back to top
View user's profile Send private message
boris64
Veteran
Veteran


Joined: 04 Oct 2003
Posts: 1770
Location: vechelde / peine

PostPosted: Wed Jul 01, 2009 1:55 pm    Post subject: Reply with quote

rahulthewall wrote:
Finswimmer wrote:
rahulthewall wrote:
Wasn't 4.2.95 supposed to be released today? Any news on the mailing lists regarding it?


Now it is available on ftp.kde.org


Already compiling it for an hour now. :)

Cheers
Rahul


How? All those shiny ebuilds from kde-testing seem to need source files
in .lzma format from http://dev.gentooexperimental.org/~alexxy/kde/4.2.95/
which isn't available yet. What did i miss here?
_________________
boris64.net 200x / visit my desktop / try these tiny kernel patches ;)
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2, 3 ... 36, 37, 38  Next
Page 1 of 38

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum